/* ADD THIS CODE TO THE END OF YOUR FUNCTIONS.PHP FILE */
/* EXTENDING USERS PROFILE PAGE */

//HOOKS
add_action('show_user_profile', 'custom_show_extra_profile_fields');
add_action('edit_user_profile','custom_show_extra_profile_fields');
add_action('personal_options_update','custom_save_extra_profile_fields');
add_action('edit_user_profile','custom_save_extra_profile_fields');

//FUNCTION TO CREATE THE FORM
function custom_show_extra_profile_fields($user) { ?>
	
<h2>Extra information</h2>

<table class="form-table">

    <tr>
        <th><label for="dob">Date of birth</label></th>
        <td>
        	<input type="text" name="dob" value="<?php echo esc_attr( get_the_author_meta('dob', $user->ID)); ?>">
            <span class="description">Please enter your designation.</span>
        </td>
    </tr>
 
     <tr>
        <th><label for="country">Country</label></th>
        <td>
        	<input type="text" name="country" value="<?php echo esc_attr( get_the_author_meta('country', $user->ID)); ?>">
            <span class="description">Please enter the name of your country.</span>
        </td>
    </tr>
       
</table>
<?php
}

//CALLBACK FUNCTION TO SAVE THE DATA

function custom_save_extra_profile_fields( $user_id ) {
	if ( !current_user_can('edit_user', $user_id) )
	return false;
	
	update_usermeta( $user_id, 'dob', $_POST['dob'] );
	update_usermeta( $user_id, 'country', $_POST['country'] );
}